DKBSignDocs

API reference

POSTRequires Bearer token

Create a client

/api/clients/create

Submit `/api/clients/create`. Authenticated routes need `Authorization: Bearer {token}` from `POST /api/v1/login`.

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
name
Required
stringClient name.
e.g. "ACME SA"
email
Required
stringClient email.
e.g. "legal@acme.test"
phone
stringPhone.
e.g. "+2250700000001"

Responses

StatusMeaning
500See the example response.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/clients/create' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"name":"ACME SA","email":"legal@acme.test","phone":"+2250700000001"}'

Response 200

json
{
  "status": "success",
  "message": "Upstream response is forwarded unchanged."
}